#ifndef _AbstractTrack_H_
#define _AbstractTrack_H_

#include <rave/RavePoint3D.h>
#include <rave/RaveCovariance3D.h>

namespace rave 
{
class AbstractTrack 
{
  /**
   *  Abstract base class for all vertices.
   */
  public:  
    virtual Charge charge()  const = 0;
    virtual const Covariance6D & error() const = 0;
    virtual const Vector6D & state() const = 0;
    virtual ~AbstractTrack() {};
    virtual int id() const = 0;
};

}

#endif
