#ifndef _AbstractAbstractVertex_H_
#define _AbstractAbstractVertex_H_

#include <rave/RavePoint3D.h>
#include <rave/RaveCovariance3D.h>

namespace rave 
{
class AbstractVertex 
{
  /**
   *  Abstract base class for all vertices.
   */
  public:  
    virtual const Point3D & position() const = 0;
    virtual const Covariance3D & error() const = 0;
    virtual ~AbstractVertex() {};
    virtual int id() const = 0;
};

}

#endif
