#ifndef _RaveInterfaceConstantMagneticField_H_
#define _RaveInterfaceConstantMagneticField_H_

#include <rave/RaveMagneticField.h>

namespace rave
{

/** \class A simple constant magnetic field
 * that ships with rave.
 */

class ConstantMagneticField : public MagneticField
{
  public:
    virtual Vector3D inTesla ( const Point3D & ) const;
    virtual MagneticField * clone() const;
    ConstantMagneticField();
    ConstantMagneticField( double x, double y, double z );

    virtual ~ConstantMagneticField() {};
  private:
    double x_;
    double y_;
    double z_;
};
}

#endif
