#ifndef _RaveCalibration_H_
#define _RaveCalibration_H_

#include <rave/RaveCalibrationHistogram.h>
#include <rave/CalibrationRun.h>
#include <vector>

namespace rave 
{
  class Calibration
  {
    /**
     *  A Rave Calibration is a set of calibration histograms.
     */
    public:
      void add ( const rave::CalibrationHistogram & c );
      void add ( const rave::CalibrationRun & r );
      std::vector< rave::CalibrationHistogram >::const_iterator begin() const;
      std::vector< rave::CalibrationHistogram >::const_iterator end() const;

      std::vector < rave::CalibrationRun > runs() const;
      size_t size() const;
      void dump() const;

    private:
      std::vector < rave::CalibrationHistogram > theHistos;
      std::vector < rave::CalibrationRun > theRuns;
  };
}

#endif
