#ifndef _RaveCalibrationCalibrationHistogram_H_
#define _RaveCalibrationCalibrationHistogram_H_

#include <rave/RaveHistogram.h>
// #include <string>

namespace rave 
{

class CalibrationHistogram : public Histogram
{
  /**
   *  A histogram - i.e. a set of bins with upper limits and bin values
   */
  public:
    CalibrationHistogram();
    CalibrationHistogram( int taggingvar, float jetptmin, float jetptmax,
        float jetetamin, float jetetamax, int vtxtype, int partontype );
    CalibrationHistogram( int taggingvar, float jetptmin, float jetptmax,
        float jetetamin, float jetetamax, int vtxtype, int partontype,
        const std::map < float, float > & histo, int entries );

    float jetPtMin() const;
    float jetPtMax() const;
    float jetEtaMin() const;
    float jetEtaMax() const;
    int vertexType() const;
    int partonType() const;
    int taggingVariable() const;

    void dump() const;

  private:
    int theTaggingVariable;
    float theJetPtMin;
    float theJetPtMax;
    float theJetEtaMin;
    float theJetEtaMax;
    int theVertexType;
    int thePartonType;
};

}

#endif
