#ifndef _RaveHistogram_H_
#define _RaveHistogram_H_

#include <map>
#include <vector>

namespace rave 
{

class Histogram
{
  /**
   *  A histogram - i.e. a set of bins with upper limits and bin values
   *  Now also counts number of entries (not number of bins)
   */
  public:
    Histogram();
    Histogram ( const std::map < float, float > &, int entries );
    void add ( float ulimit, float value, int n );
    void dump() const;
    const std::map < float, float > & getMap() const;
    std::vector < float > getULimits() const;
    int entries() const;
    void setEntries ( int );
    void addEntries ( int );

  private:
    std::map < float, float > theHisto;
    int theEntries;
};

}

#endif
