// copied from CLHEP's SystemOfUnits

#ifndef RaveUnits_H
#define RaveUnits_H

namespace raveunits {
  static const double centimeter  = 1.;
  static const double millimeter  = 1.e-1*centimeter;
  static const double meter  = 100.*centimeter;
  static const double micrometer = 1.e-6 *meter;
  static const double nanometer  = 1.e-9 *meter;
  static const double nm  = nanometer;
  static const double um  = micrometer;
  static const double mm  = millimeter;
  static const double cm  = centimeter;
  static const double m  = meter;

  static const double second      = 1.;
  static const double nanosecond  = 1.e-9 * second;
  static const double millisecond = 1.e-3 * second;
  static const double microsecond = 1.e-6 * second;
  static const double ns = nanosecond;
  static const double  s = second;
  static const double ms = millisecond;

  static const double gigaelectronvolt = 1;
  static const double megaelectronvolt = 1.e-3*gigaelectronvolt;
  static const double kiloelectronvolt = 1.e-6*gigaelectronvolt;
  static const double     electronvolt = 1.e-9*gigaelectronvolt;
  static const double teraelectronvolt = 1.e+3*megaelectronvolt;

  static const double MeV = megaelectronvolt;
  static const double  eV = electronvolt;
  static const double keV = kiloelectronvolt;
  static const double GeV = gigaelectronvolt;
  static const double TeV = teraelectronvolt;

  static const double rad = 1.;
  static const double millirad = 1.e-3;
  static const double mrad = millirad;

  static const double speedoflight = 1.;
  static const double c = speedoflight;
}

#endif /* RaveUnits_H */
