#ifndef _RaveVector6D_H_
#define _RaveVector6D_H_

#include <rave/RaveVector3D.h>
#include <rave/RavePoint3D.h>

namespace rave
{

/** \class RaveVector6D a 6-dimensional state
 */

class Vector6D
{
  public:

    Vector6D();

    Vector6D( double x, double y, double z,
              double px, double py, double pz );

    double x() const;
    double y() const;
    double z() const;

    double px() const;
    double py() const;
    double pz() const;

    Vector3D momentum() const;
    Point3D position() const;

  private:
    double thex;
    double they;
    double thez;
    double thepx;
    double thepy;
    double thepz;
};

}

#endif
