#ifndef _PropagatorWrapper_H_
#define _PropagatorWrapper_H_

#include "TrackingTools/GeomPropagators/interface/Propagator.h"

class PropagatorWrapper : public Propagator
{
  public:
    virtual TrajectoryStateOnSurface 
    propagate (const FreeTrajectoryState&, const Plane&) const;

    virtual TrajectoryStateOnSurface 
    propagate (const FreeTrajectoryState&, const Cylinder&) const;
    
    virtual std::pair< TrajectoryStateOnSurface, double> 
    propagateWithPath (const FreeTrajectoryState&, const Plane&) const;

    virtual std::pair< TrajectoryStateOnSurface, double> 
    propagateWithPath (const FreeTrajectoryState&, const Cylinder&) const;

    virtual const MagneticField* magneticField() const;
};

#endif
