#ifndef _RaveReconstructor_H_
#define _RaveReconstructor_H_

#include <string>
#include "RecoVertex/VertexPrimitives/interface/TransientVertex.h"
#include "TrackingTools/TransientTrack/interface/TransientTrack.h"
#include "RecoVertex/VertexPrimitives/interface/VertexReconstructor.h"
#include <vector>

/**
 *  The Rave Reconstructor, configured by a string.
 *  What happens is this.
 *  The RaveReconstructor calls RaveStrategyBuilder.
 *  The builder parses the string, splits it up into map < string, MultiType >.
 *  Then it calls ConfigurableVertexReconstructor with this map.
 *  And since this is so little, I think the RaveReconstructor might
 *  better get absorbed in the rave::Factory.
 */

class RaveReconstructor : public VertexReconstructor
{
  public:
    RaveReconstructor ( const std::string & );
    RaveReconstructor ( const RaveReconstructor & );
    ~RaveReconstructor();
    std::vector < TransientVertex > vertices ( const std::vector < reco::TransientTrack > & ) const;
    RaveReconstructor * clone() const;

  private:
    const VertexReconstructor * theRector;
};

#endif
