#ifndef _RaveStrategyBuilder_H_
#define _RaveStrategyBuilder_H_

#include <string>

class VertexReconstructor;

/**
 *  A string that builds the reconstruction method,
 *  given the description string. 
 */

class RaveStrategyBuilder 
{
  public:
    RaveStrategyBuilder ( const std::string & description = "default", int verbosity=0 );
    RaveStrategyBuilder ( const RaveStrategyBuilder & );
    ~RaveStrategyBuilder();

    const VertexReconstructor * reconstructor() const;

  private:
    VertexReconstructor * theRector;
    int theVerbosity;
};

#endif
