#ifndef StringTools_H
#define StringTools_H

#include <list>
#include <string>
//#include <cctype>

namespace StringTools {

  using namespace std;

  //* eat up leading spaces (~= pythons string.lstrip())
  string & lstrip( string & source );
  //* eat up trailing spaces (~= pythons string.rstrip())
  string & rstrip( string & source );
  //* eat up leading and trailing spaces
  string & strip( string & source );

  //* return position of unescaped substring in src string
  //*   searching from front
  string::size_type 
    find_unescaped ( const string & src, const string & sub );
  //* return position of unescaped substring in src string
  //*   searching from back
  string::size_type 
    rfind_unescaped ( const string & src, const string & sub );

  //* return list of stripped substrings, 
  //*   split up on unescaped ( not '\X') separator string 'X'
  list< string > 
    split ( string source, string sep = " ", unsigned int num=0);

}

#endif

