#ifndef ALGORITHM_RAVE_CONVERTER_H
#define ALGORITHM_RAVE_CONVERTER_H

#include <rave/RaveCalibration.h>
#include "RecoBTag/CombinedSV/interface/BTagAlgorithmCalibration.h"

#include <utility>
#include <vector>

class AlgorithmToRaveConverter
{
  public:
    rave::Calibration convert ( const BTagAlgorithmCalibration * ) const;
    rave::Calibration convert ( const BTagAlgorithmCalibration * reco, 
                const BTagAlgorithmCalibration * pseudo, 
                const BTagAlgorithmCalibration * no ) const;
    rave::Calibration convert ( const std::vector < std::pair < 
        combsv::CombinedSVCalibrationCategory *,
        combsv::CombinedSVCalibrationHistogram * > > & ) const;

    void add ( rave::Calibration &, const std::vector < std::pair < 
               combsv::CombinedSVCalibrationCategory *, 
               combsv::CombinedSVCalibrationHistogram * > > & ) const;

    /**
     *  add cat/histo to cal
     *  init=true: assume empty histo
     */
    void add ( rave::Calibration & cal,
         const combsv::CombinedSVCalibrationCategory & cat,
         const combsv::CombinedSVCalibrationHistogram & histo,
         bool init=false ) const;
};

#endif
