#ifndef CALIBRATION_CATEGORY_H
#define CALIBRATION_CATEGORY_H
#include <map>
#include <string>
#include <iostream>
#include <stdlib.h>

using namespace std;

class CalibratedObject;

/** This class defines a category.  The class is templated on the CI (category
 * input) To actually use that class you have to inherit from it and implement
 * the pure virtual functions.
*/

template <class CI> class CalibrationCategory
{
  public:
    typedef  CI Input;

    CalibrationCategory();
    
    virtual ~CalibrationCategory();

    /** 
      * Should return true if the CI input match that category 
      */
    virtual bool match(const CI & calibrationInput) const = 0; //Not implemented here
   
    virtual string name(){return "BaseCalibrationCategory";} //Set it to pure virtual?
    
  protected:
    virtual void dump() {cout << "NO INFO"; }
    
};


template <class CI> CalibrationCategory<CI>::CalibrationCategory() 
{
}

template <class CI>  CalibrationCategory<CI>::~CalibrationCategory()
{
}

#endif
