#ifndef _ConfigurableZvresReconstructor_H_
#define _ConfigurableZvresReconstructor_H_

#include "RecoVertex/ConfigurableVertexReco/interface/AbstractConfReconstructor.h"

/**
 *  Wrap any VertexFitter into the VertexReconstructor interface
 */

class ConfigurableZvresReconstructor : public AbstractConfReconstructor
{
  public:
    ConfigurableZvresReconstructor ();
    void configure ( const edm::ParameterSet & );
    ConfigurableZvresReconstructor ( const ConfigurableZvresReconstructor & o );
    ~ConfigurableZvresReconstructor();
    ConfigurableZvresReconstructor * clone () const;
    std::vector < TransientVertex > vertices ( 
        const std::vector < reco::TransientTrack > & t ) const;
    edm::ParameterSet defaults() const;
  private:
    const VertexReconstructor * theRector;
};

#endif
